Subject: bug#40126: [native-comp] Small, new bug with macros?

From: Andrea Corallo <[email-masked]>
Date: Sun, 05 Apr 2020 14:12:54 +0000

Adam Porter <[email-masked]> writes:

> Hi Andrea,
>
> I've been testing the latest Docker image with the deferred
> compilation.  I noticed what may be a small, new bug.  To reproduce,
> you could use this code:
>
>   (setq package-archives '(("gnu" . "https://elpa.gnu.org/packages/")
>                            ("melpa" . "https://melpa.org/packages/")))
>
>   (package-initialize)
>
>   (package-install 'quelpa-use-package)
>
>   (use-package bufler
>     :quelpa
>     (bufler :fetcher github :repo "alphapapa/bufler.el"
>             :files (:defaults (:exclude "helm-bufler.el"))))
>
> In the *Async-native-compile-log* buffer, I see:
>
>   Compiling /home/me/tmp/src/emacs/native-comp/.emacs.d/elpa/bufler-20200405.1230/bufler.el...
>   Symbol's function definition is void: bufler-defauto-group
>
> bufler-defauto-group is a macro, not a function, and it is defined
> before it is called, so I don't understand why the error is happening.
> The package loads and works fine in its byte-compiled form, and the
> error didn't happen when I was using an earlier Docker image from a
> few weeks ago.
>
> Thanks,
> Adam

Hi Adam,

This looks quite similar to
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40126 isn't?

I had no time to look into this but if it's the same issue is good we
have a smaller reproducert to debug on.

Thanks for reporting it.

Andrea

-- 
[email-masked]